# Method: policies.test

- [HTTP request](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/policies/test#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/policies/test#body.request_body)
  - [JSON representation](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/policies/test#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/policies/test#body.response_body)
  - [JSON representation](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/policies/test#body.TestPermissionsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/policies/test#body.aspect)

Returns permissions that a caller has on the specified resource.

### HTTP request

`POST https://sasportal.googleapis.com/v1alpha1/policies:test`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "resource": string, "permissions": [ string ] } ``` |

| Fields ||
|---|---|
| `resource` | `string` Required. The resource for which the permissions are being requested. |
| `permissions[]` | `string` The set of permissions to check for the `resource`. |

### Response body

If successful, the response body contains data with the following structure:
Response message for `policies.test` method.

| JSON representation |
|---|
| ``` { "permissions": [ string ] } ``` |

| Fields ||
|---|---|
| `permissions[]` | `string` A set of permissions that the caller is allowed. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/sasportal`